Bug 84874 - Grub not properly updated during upgrade process
Grub not properly updated during upgrade process
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: grub (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-22 13:18 EST by Rob Hughes
Modified: 2007-04-18 12:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-15 21:02:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rob Hughes 2003-02-22 13:18:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
Grub fails to display the splash, etc. It drops to a grub prompt.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade to phoebe
2. Reboot
3. Observe grub's bash-like prompt
    

Actual Results:  Only the grub prompt is displayed.

Expected Results:  Display of grubs updated boot menu

Additional info:

When this happened, I was able to enter "configfile /grub/grub.conf" and got 
the boot screen. I then rebooted again, got the same result (config file not 
loaded), so I went through the grub install procedure for this box (root 
(hd1,0) \n setup (hd0) ) and grub started properly loading. It looks like grub 
didn't properly update the boot sector or something during the upgrade 
procedure.
Comment 1 Jeremy Katz 2003-02-23 16:00:22 EST
What option did you select for boot loader during your upgrade?
Comment 2 Rob Hughes 2003-02-23 16:16:05 EST
I just took defaults all the way through. The option checked was "Update Boot
Loader", or something to that effect. I am certain that it was the one listed at
the very top. I didn't write it down at the time since it appeared to correctly
detect that grub was installed to the boot sector of hd0 and in /boot on hd1.
Comment 3 Bill Roberts 2003-02-26 15:15:13 EST
I updated a 8.0 system that was running up2date and had TWO versions of the
kernel in the /boot/grub/menu.1st file.  After I updated with the 8.1 beta this
file was NOT updated and the system would not boot.

I put in the CD got into the rescue mode, found out new the file names for
"initrd..." and "vmlinuz..." fixed up "menu.1st" (delete one entry, edited the
other) and now the system boots normally.
Comment 4 Jeremy Katz 2003-07-28 19:27:37 EDT
Have you seen this problem with the final Red Hat Linux 9 release?
Comment 5 Jeremy Katz 2003-10-15 21:02:47 EDT
Closing due to inactivity.  Please reopen if you have further information to add
to this bug report.

Note You need to log in before you can comment on or make changes to this bug.